microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Parâmetros de caminho
name
string
obrigatório
The name of the skill.
version
string
obrigatório
The version identifier to delete.
Parâmetros do cabeçalho
Foundry-Features
enum
obrigatório
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
id
string
obrigatório
The unique identifier of the deleted skill version.
name
string
obrigatório
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
obrigatório
Whether the skill version was successfully deleted.
version
string
obrigatório
The version that was deleted.
Pedir
DELETE /skills/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json